Index: main/plugin-forms/src/org/ametys/plugins/forms/table/FormTableManager.java
===================================================================
--- main/plugin-forms/src/org/ametys/plugins/forms/table/FormTableManager.java	(revision 39963)
+++ main/plugin-forms/src/org/ametys/plugins/forms/table/FormTableManager.java	(working copy)
@@ -1,17 +1,17 @@
 /*
- *  Copyright 2010 Anyware Services
+ * Copyright 2016 Anyware Services
  *
- *  Licensed under the Apache License, Version 2.0 (the "License");
- *  you may not use this file except in compliance with the License.
- *  You may obtain a copy of the License at
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
  *
- *      http://www.apache.org/licenses/LICENSE-2.0
+ * http://www.apache.org/licenses/LICENSE-2.0
  *
- *  Unless required by applicable law or agreed to in writing, software
- *  distributed under the License is distributed on an "AS IS" BASIS,
- *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- *  See the License for the specific language governing permissions and
- *  limitations under the License.
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
  */
 package org.ametys.plugins.forms.table;
 
@@ -53,30 +53,30 @@
 
     /** Prefix for database tables */
     public static final String TABLE_PREFIX = "Forms_";
-    
+
     /** ID field name. */
     public static final String ID_FIELD = "id";
-    
+
     /** Creation date field name. */
     public static final String CREATION_DATE_FIELD = "creationDate";
-    
+
     /** Suffix for filename column. */
     public static final String FILE_NAME_COLUMN_SUFFIX = "-filename";
-    
+
     /** Constant for table state */
     public static final int TABLE_CREATED_AND_UP_TO_DATE = 2;
-    
+
     /** Constant for table state */
     public static final int TABLE_CREATED_BUT_NEED_UPDATE = 3;
-    
+
     /** Constant for table state */
     public static final int TABLE_NOT_CREATED = 1;
-    
+
     /** Constant for table state */
     public static final int TABLE_UNKOWN_STATUS = 0;
 
     private static Logger __logger = LoggerFactory.getLoggerFor(FormTableManager.class);
-    
+
     /**
      * Create database table to store results of content forms
      * @param form informations used to create table
@@ -88,7 +88,7 @@
         {
             throw new IllegalArgumentException("Form object can not be null");
         }
-        
+
         Map<String, FieldValue> columns = getColumns(form);
         if (!_createOrUpdateTable(form.getId(), columns))
         {
@@ -96,7 +96,7 @@
         }
         return true;
     }
-    
+
     /**
      * Drop the table by its name
      * 
@@ -110,13 +110,12 @@
 
         try
         {
-            // Effectuer la connexion à la base de donnees via un pool de
-            // connexion
+            // Use a connection pool to establish a connection to the data base
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             String request = "DROP TABLE " + table;
 
             stmt = con.prepareStatement(request);
-            // Effectuer la requête et verifier le résultat
+            // Run the query and check the result
             stmt.executeUpdate();
         }
         catch (SQLException e)
@@ -126,18 +125,61 @@
         }
         finally
         {
-            // Fermer les ressources de connexion
+            // Clean up connection resources
             ConnectionHelper.cleanup(stmt);
             ConnectionHelper.cleanup(con);
         }
 
         return true;
     }
-    
+
+    /**
+     * Get all the table names
+     * @return the list of all the forms' table names
+     */
+    public List<String> getTableNames()
+    {
+        List<String> formsTableNames = new ArrayList<String> ();
+        Connection con = null;
+        PreparedStatement stmt = null;
+        DatabaseMetaData metadata = null;
+        ResultSet tables = null;
+
+        try
+        {
+            // Use a connection pool to establish a connection to the data base
+            con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
+            metadata = con.getMetaData();
+            tables = metadata.getTables(null, null, "%", null);
+            
+            while (tables.next()) 
+            {
+                String tableName = tables.getString(3);
+                if (tableName.startsWith(TABLE_PREFIX))
+                {
+                    formsTableNames.add(tableName);
+                }
+            }
+        }
+        catch (SQLException e)
+        {
+            __logger.error("Error while retrieving the forms table names", e);
+        }
+        finally
+        {
+            // Clean up connection resources
+            ConnectionHelper.cleanup(stmt);
+            ConnectionHelper.cleanup(con);
+        }
+        
+        return formsTableNames;
+    }
+
     /**
      * Get all the submissions for a form.
+     * 
      * @param form the form object.
-     * @param columns 
+     * @param columns
      * @param offset The number of results to ignore.
      * @param length The maximum number of results to return.
      * @return the list of submissions.
@@ -146,24 +188,24 @@
     public List<UserEntry> getSubmissions(Form form, Map<String, FieldValue> columns, int offset, int length) throws FormsException
     {
         List<UserEntry> entries = new ArrayList<UserEntry>();
-        
+
         final String tableName = TABLE_PREFIX + form.getId();
-        
+
         Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        
+
         try
         {
             // Connect to the database.
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-            
+
             String request = "SELECT * FROM " + DbTypeHelper.escape(dbType, tableName);
-            
+
             // Limit the results
             DatabaseType datatype = ConnectionHelper.getDatabaseType(con);
-            
+
             if (datatype == DatabaseType.DATABASE_MYSQL || datatype == DatabaseType.DATABASE_POSTGRES || datatype == DatabaseType.DATABASE_HSQLDB)
             {
                 request = request + " LIMIT " + length + " OFFSET " + offset;
@@ -181,29 +223,29 @@
             {
                 __logger.warn("The request will not have the limit and offet set, since its type is unknown");
             }
-            
+
             stmt = con.prepareStatement(request);
-            
+
             // Execute the query.
             rs = stmt.executeQuery();
-            
+
             // Extract the results.
             while (rs.next())
             {
                 // First get the ID and submission date.
                 int id = rs.getInt(ID_FIELD);
                 Timestamp creationDate = rs.getTimestamp(CREATION_DATE_FIELD);
-                
+
                 List<FieldValue> entryValues = new ArrayList<FieldValue>();
-                
+
                 for (Map.Entry<String, FieldValue> column : columns.entrySet())
                 {
                     String columnLabel = column.getKey();
                     FieldValue columnValue = column.getValue();
-                    
+
                     // Extract the value.
                     FieldValue value = null;
-                    
+
                     switch (columnValue.getType())
                     {
                         case Types.VARCHAR:
@@ -224,7 +266,7 @@
                             String normalizedName = DbTypeHelper.normalizeName(dbType, fileNameColumn);
                             String fileName = rs.getString(normalizedName);
                             value = new FieldValue(columnValue);
-                            
+
                             if (DatabaseType.DATABASE_POSTGRES.equals(dbType))
                             {
                                 InputStream isValue = rs.getBinaryStream(columnLabel);
@@ -235,7 +277,7 @@
                                 Blob blobValue = rs.getBlob(columnLabel);
                                 value.setValue(blobValue == null ? null : fileName);
                             }
-                            
+
                             entryValues.add(value);
                             break;
                         case Types.INTEGER:
@@ -248,7 +290,7 @@
                             break;
                     }
                 }
-                
+
                 UserEntry entry = new UserEntry(id, creationDate, entryValues);
                 entries.add(entry);
             }
@@ -260,42 +302,42 @@
         }
         finally
         {
-            // Fermer les ressources de connexion
+            // Clean up connection resources
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
             ConnectionHelper.cleanup(con);
         }
-        
+
         return entries;
     }
-    
+
     /**
      * Get the total count of submissions for a form.
-     * @param form the form object.
+     * @param formId the id of the form
      * @return the total count of submissions, or -1 if an error occurs.
      * @throws FormsException if an error occurs.
      */
-    public int getTotalSubmissions(Form form) throws FormsException
+    public int getTotalSubmissions(String formId) throws FormsException
     {
-        final String tableName = TABLE_PREFIX + form.getId();
-        
+        final String tableName = TABLE_PREFIX + formId;
+
         Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        
+
         try
         {
             // Connect to the database.
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-            
+
             String request = "SELECT COUNT(*) FROM " + DbTypeHelper.escape(dbType, tableName);
-            
+
             stmt = con.prepareStatement(request);
-            
+
             // Execute the query.
             rs = stmt.executeQuery();
-            
+
             // Extract the result.
             if (rs.next())
             {
@@ -310,15 +352,15 @@
         }
         finally
         {
-            // Fermer les ressources de connexion
+            // Clean up connection resources
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
             ConnectionHelper.cleanup(con);
         }
-        
+
         return -1;
     }
-    
+
     /**
      * Form to tableinfo.
      * @param form the form.
@@ -327,14 +369,14 @@
     public Map<String, FieldValue> getColumns(Form form)
     {
         Map<String, FieldValue> columns = new LinkedHashMap<String, FieldValue>();
-        
+
         for (Field field : form.getFields())
         {
             final String id = field.getId();
             final String name = field.getName();
-            
+
             FieldValue fdValue = null;
-            
+
             switch (field.getType())
             {
                 case TEXT:
@@ -357,9 +399,9 @@
                         field.getProperties().put("size", String.valueOf(index));
                         field.getProperties().put("option-" + index + "-value", value);
                         field.getProperties().put("option-" + index + "-label", label);
-                        
+
                         field.getProperties().remove("value");
-                        
+
                         fdValue = new FieldValue(name, Types.VARCHAR, null, field);
                         columns.put(name, fdValue);
                     }
@@ -371,14 +413,14 @@
                             Field radioField = columns.get(name).getField();
                             int index = Integer.parseInt(radioField.getProperties().get("size"));
                             index++;
-                            
+
                             String value = field.getProperties().get("value");
                             String label = field.getLabel();
-                            
+
                             radioField.getProperties().put("size", String.valueOf(index));
                             radioField.getProperties().put("option-" + index + "-value", value);
                             radioField.getProperties().put("option-" + index + "-label", label);
-                            
+
                             Field dummyField = new Field(radioField.getId(), radioField.getType(), radioField.getName(), radioField.getLabel() + "/" + field.getLabel(), radioField.getProperties());
                             columns.get(name).setField(dummyField);
                         }
@@ -397,12 +439,12 @@
                 default:
                     break;
             }
-            
+
         }
-        
+
         return columns;
     }
-    
+
     /**
      * Get the full column type corresponding to the database type (with precision).
      * @param sqlType the sqltype value.
@@ -430,7 +472,7 @@
         }
         return colType;
     }
-    
+
     /**
      * Get the column type name (without precision) corresponding to the SQL type.
      * @param sqlType the SQL type value.
@@ -441,7 +483,7 @@
     {
         return StringUtils.substringBefore(_getColumnType(sqlType, dbType), "(");
     }
-    
+
     /**
      * Test if two columns have the same type.
      * @param column the column retrieved from the database.
@@ -455,66 +497,66 @@
         int currentColumnType = column.getSqlType();
         String newColumnTypeName = _getColumnTypeName(newColumnType, dbType);
         String currentColumnTypeName = column.getTypeName();
-        
+
         return currentColumnType == newColumnType || currentColumnTypeName.equals(newColumnTypeName);
     }
-    
+
     private boolean _createTable(String formId, Map<String, FieldValue> columns)
     {
         String tableName = TABLE_PREFIX + formId;
         Connection con = null;
         PreparedStatement stmt = null;
-        
+
         try
         {
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-            
+
             StringBuilder sql = new StringBuilder();
-            
+
             sql.append("CREATE TABLE ");
             sql.append(DbTypeHelper.escape(dbType, tableName));
             sql.append(" ( ").append(ID_FIELD).append(" ").append(DbTypeHelper.getIdentityType(dbType)).append(" ").append(DbTypeHelper.getIdentityMarker(dbType)).append(", ");
             sql.append(CREATION_DATE_FIELD).append(" ").append(DbTypeHelper.getDateTimeType(dbType)).append(" NOT NULL,");
-            
+
             for (Map.Entry<String, FieldValue> column : columns.entrySet())
             {
                 int sqlType = column.getValue().getType();
                 sql.append(DbTypeHelper.escape(dbType, column.getKey())).append(" ");
                 sql.append(_getColumnType(sqlType, dbType));
                 sql.append(" DEFAULT NULL,");
-                
+
                 // Add a column for the file name.
                 if (sqlType == Types.BLOB)
                 {
                     String fileNameColumn = column.getKey() + FILE_NAME_COLUMN_SUFFIX;
                     String normalizedName = DbTypeHelper.normalizeName(dbType, fileNameColumn);
-                    
+
                     sql.append(DbTypeHelper.escape(dbType, normalizedName)).append(" ");
                     sql.append(DbTypeHelper.getVarcharType(dbType));
                     sql.append(" DEFAULT NULL,");
                 }
             }
-            
+
             sql.append("PRIMARY KEY (").append(ID_FIELD).append("))");
-            
+
             if (__logger.isDebugEnabled())
             {
                 __logger.debug("Creating table : " + sql.toString());
             }
-            
+
             stmt = con.prepareStatement(sql.toString());
             stmt.executeUpdate();
             ConnectionHelper.cleanup(stmt);
-            
+
             // create sequence for oracle database
             if (DatabaseType.DATABASE_ORACLE.equals(dbType))
             {
-                String sqlQuery = "create sequence seq_" + formId; 
+                String sqlQuery = "create sequence seq_" + formId;
                 stmt = con.prepareStatement(sqlQuery);
                 stmt.executeUpdate();
             }
-            
+
             return true;
         }
         catch (SQLException e)
@@ -528,32 +570,32 @@
             ConnectionHelper.cleanup(con);
         }
     }
-    
+
     private boolean _alterTable(String formId, Map<String, FieldValue> newColumns)
     {
         String tableName = TABLE_PREFIX + formId;
-        
+
         Connection con = null;
-        
+
         try
         {
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
-            
+
             // Start transaction.
             con.setAutoCommit(false);
-            
+
             // Get the existing columns.
             Map<String, DbColumn> existingColumns = _getExistingColumns(con, tableName);
-            
+
             // Compute the modifications to make.
             DbColumnModifications modifications = _getColumnsToModify(con, existingColumns, newColumns);
-            
+
             // Move the columns that were deleted or replaced.
             _moveColumns(con, modifications.getColumnsToRemove(), existingColumns, tableName);
-            
+
             // Add the new columns.
             _addColumns(con, modifications.getColumnsToAdd(), tableName);
-            
+
             // Commit the transaction.
             con.commit();
         }
@@ -579,56 +621,56 @@
             ConnectionHelper.cleanup(con);
         }
         return true;
-        
+
     }
-    
+
     private int _checkTableStatus(String formId, Map<String, FieldValue> newColumns)
     {
         String tableName = TABLE_PREFIX + formId;
-        
+
         Connection con = null;
         ResultSet tables = null;
         ResultSet rs = null;
-        
+
         Map<String, DbColumn> currentColumns = new HashMap<String, DbColumn>();
-        
+
         try
         {
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-            
+
             tableName = DbTypeHelper.filterName(dbType, tableName);
-            
+
             DatabaseMetaData metadata = con.getMetaData();
             tables = metadata.getTables(con.getCatalog(), null, tableName, null);
-            
+
             if (!tables.next())
             {
                 return TABLE_NOT_CREATED;
             }
-            
+
             currentColumns = _getExistingColumns(con, tableName);
-            
+
             for (String newColumn : newColumns.keySet())
             {
                 String filteredColumn = DbTypeHelper.filterName(dbType, newColumn);
-                
+
                 // Test the existence of the column.
                 if (!currentColumns.containsKey(filteredColumn))
                 {
                     return TABLE_CREATED_BUT_NEED_UPDATE;
                 }
-                
+
                 // Test that the column type has not changed.
                 DbColumn currentColumn = currentColumns.get(filteredColumn);
                 FieldValue newColumnFv = newColumns.get(newColumn);
-                
+
                 if (!_isSameType(currentColumn, newColumnFv, dbType))
                 {
                     return TABLE_CREATED_BUT_NEED_UPDATE;
                 }
             }
-            
+
             return TABLE_CREATED_AND_UP_TO_DATE;
         }
         catch (SQLException e)
@@ -672,9 +714,9 @@
     private DbColumnModifications _getColumnsToModify(Connection con, Map<String, DbColumn> existingColumns, Map<String, FieldValue> newColumns)
     {
         DbColumnModifications modifications = new DbColumnModifications();
-        
+
         DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-        
+
         Map<String, FieldValue> columnsToAdd = new LinkedHashMap<String, FieldValue>();
         Map<String, DbColumn> columnsToRemove = new HashMap<String, DbColumn>();
         for (Map.Entry<String, FieldValue> newColumn : newColumns.entrySet())
@@ -682,14 +724,14 @@
             String filteredName = DbTypeHelper.filterName(dbType, newColumn.getKey());
             columnsToAdd.put(filteredName, newColumn.getValue());
         }
-        
+
         if (existingColumns != null)
         {
             for (String existingColName : existingColumns.keySet())
             {
                 DbColumn existingColumn = existingColumns.get(existingColName);
                 FieldValue newColumn = columnsToAdd.get(existingColName);
-                
+
                 // If the column does not already exist or if the type has changed,
                 // mark the current column to be removed and keep the new column in the "to be added" list.
                 if (newColumn != null && !_isSameType(existingColumn, newColumn, dbType))
@@ -703,13 +745,13 @@
                 }
             }
         }
-        
+
         modifications.setColumnsToAdd(columnsToAdd);
         modifications.setColumnsToRemove(columnsToRemove);
-        
+
         return modifications;
     }
-    
+
     private Map<String, DbColumn> _getExistingColumns(Connection con, String table)
     {
         ResultSet columns = null;
@@ -718,7 +760,7 @@
         {
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
             String filteredTableName = DbTypeHelper.filterName(dbType, table);
-            
+
             DatabaseMetaData metadata = con.getMetaData();
             columns = metadata.getColumns(con.getCatalog(), null, filteredTableName, null);
             while (columns.next())
@@ -727,9 +769,9 @@
                 Integer sqlType = columns.getInt("DATA_TYPE");
                 String typeName = columns.getString("TYPE_NAME");
                 Integer colSize = columns.getInt("COLUMN_SIZE");
-                
+
                 DbColumn col = new DbColumn(columnName, sqlType, typeName, colSize != null ? colSize : 0);
-                
+
                 toReturn.put(columnName, col);
             }
         }
@@ -744,49 +786,49 @@
         }
         return toReturn;
     }
-    
+
     private void _moveColumns(Connection con, Map<String, DbColumn> columnsToRemove, Map<String, DbColumn> existingColumns, String tableName) throws SQLException
     {
         DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
         PreparedStatement stmt = null;
-        
+
         Set<String> existingColumnNames = existingColumns.keySet();
-        
+
         try
         {
             for (String columnName : columnsToRemove.keySet())
             {
                 DbColumn columnToRemove = columnsToRemove.get(columnName);
-                
+
                 String newName = _getNewName(con, columnName, existingColumnNames);
-                
+
                 String sql = DbTypeHelper.getRenameColumnStatement(tableName, columnToRemove, newName, dbType);
-                
+
                 if (__logger.isDebugEnabled())
                 {
                     __logger.debug("Moving column: " + sql);
                 }
-                
+
                 stmt = con.prepareStatement(sql);
                 stmt.executeUpdate();
-                
+
                 // Add a column for the file name.
                 if (columnToRemove.getSqlType() == Types.BLOB)
                 {
                     // Release the previous statement.
                     ConnectionHelper.cleanup(stmt);
-                    
+
                     String fileNameColumn = columnName + FILE_NAME_COLUMN_SUFFIX;
                     String newFileNameColumn = _getNewName(con, fileNameColumn, existingColumnNames);
                     String varcharType = DbTypeHelper.getVarcharType(dbType);
-                    
+
                     sql = DbTypeHelper.getRenameColumnStatement(tableName, fileNameColumn, newFileNameColumn, varcharType, dbType);
-                    
+
                     if (__logger.isDebugEnabled())
                     {
                         __logger.debug("Altering table : " + sql.toString());
                     }
-                    
+
                     stmt = con.prepareStatement(sql.toString());
                     stmt.executeUpdate();
                 }
@@ -798,55 +840,55 @@
             throw e;
         }
     }
-    
+
     private void _addColumns(Connection con, Map<String, FieldValue> columnsToAdd, String tableName) throws SQLException
     {
         DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
         PreparedStatement stmt = null;
-        
+
         try
         {
             for (Entry<String, FieldValue> column : columnsToAdd.entrySet())
             {
                 StringBuilder sql = new StringBuilder();
-                
+
                 sql.append("ALTER TABLE ").append(DbTypeHelper.escape(dbType, tableName));
-                
+
                 int sqlType = column.getValue().getType();
-                
+
                 sql.append(" ADD ").append(DbTypeHelper.escape(dbType, column.getKey())).append(" ");
                 sql.append(_getColumnType(sqlType, dbType));
                 sql.append(" DEFAULT NULL");
-                
+
                 if (__logger.isDebugEnabled())
                 {
                     __logger.debug("Altering table : " + sql.toString());
                 }
-                
+
                 stmt = con.prepareStatement(sql.toString());
                 stmt.executeUpdate();
-                
+
                 // Add a column for the file name.
                 if (sqlType == Types.BLOB)
                 {
                     // Release the previous statement.
                     ConnectionHelper.cleanup(stmt);
-                    
+
                     sql.setLength(0);
                     sql.append("ALTER TABLE ").append(DbTypeHelper.escape(dbType, tableName));
-                    
+
                     String fileNameColumn = column.getKey() + FILE_NAME_COLUMN_SUFFIX;
                     String normalizedName = DbTypeHelper.normalizeName(dbType, fileNameColumn);
-                    
+
                     sql.append(" ADD ").append(DbTypeHelper.escape(dbType, normalizedName)).append(" ");
                     sql.append(DbTypeHelper.getVarcharType(dbType));
                     sql.append(" DEFAULT NULL");
-                    
+
                     if (__logger.isDebugEnabled())
                     {
                         __logger.debug("Adding column: " + sql.toString());
                     }
-                    
+
                     stmt = con.prepareStatement(sql.toString());
                     stmt.executeUpdate();
                 }
@@ -858,7 +900,7 @@
             throw e;
         }
     }
-    
+
     /**
      * Get the new name of a column to be moved.
      * @param con the connection.
@@ -869,21 +911,21 @@
     private String _getNewName(Connection con, String currentName, Set<String> existingColumnNames)
     {
         DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-        
+
         int i = 1;
         String newName = DbTypeHelper.normalizeName(dbType, currentName + "_old" + i);
         String filteredNewName = DbTypeHelper.filterName(dbType, newName);
-        
+
         while (existingColumnNames.contains(filteredNewName))
         {
             i++;
             newName = DbTypeHelper.normalizeName(dbType, currentName + "_old" + i);
             filteredNewName = DbTypeHelper.filterName(dbType, newName);
         }
-        
+
         return newName;
     }
-    
+
     /**
      * Get the SQL type corresponding to a field type.
      * @param fieldType the field
@@ -918,7 +960,6 @@
         }
         return sqlType;
     }
-    
 
     /**
      * Delete the submission from a form.
@@ -929,30 +970,30 @@
     public void deleteSubmission(Form form, Integer entryId) throws FormsException
     {
         final String tableName = TABLE_PREFIX + form.getId();
-        
+
         Connection con = null;
         PreparedStatement stmt = null;
-        
+
         try
         {
             // Connect to the database.
             con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(con);
-            
+
             String request = "DELETE FROM " + DbTypeHelper.escape(dbType, tableName);
-            
+
             if (entryId != null)
             {
                 request += " WHERE " + ID_FIELD + " = ?";
             }
-            
+
             stmt = con.prepareStatement(request);
-            
+
             if (entryId != null)
             {
                 stmt.setInt(1, entryId);
             }
-            
+
             // Execute the query.
             stmt.executeUpdate();
         }
@@ -963,25 +1004,24 @@
         }
         finally
         {
-            // Fermer les ressources de connexion
+            // Clean up connection resources
             ConnectionHelper.cleanup(stmt);
             ConnectionHelper.cleanup(con);
         }
     }
-    
-    
+
     /**
      * Class storing modifications to do on columns.
      */
     class DbColumnModifications
     {
-        
+
         /** The columns to remove. */
         protected Map<String, DbColumn> _columnsToRemove;
-        
+
         /** The columns to remove. */
         protected Map<String, FieldValue> _columnsToAdd;
-        
+
         /**
          * Build a DbColumnModifications object.
          */
@@ -989,7 +1029,7 @@
         {
             this(new HashMap<String, DbColumn>(), new HashMap<String, FieldValue>());
         }
-        
+
         /**
          * Build a DbColumnModifications object.
          * @param columnsToRemove the columns to remove.
@@ -1000,7 +1040,7 @@
             this._columnsToRemove = columnsToRemove;
             this._columnsToAdd = columnsToAdd;
         }
-        
+
         /**
          * Get the columnsToRemove.
          * @return the columnsToRemove
@@ -1009,7 +1049,7 @@
         {
             return _columnsToRemove;
         }
-        
+
         /**
          * Set the columnsToRemove.
          * @param columnsToRemove the columnsToRemove to set
@@ -1018,7 +1058,7 @@
         {
             this._columnsToRemove = columnsToRemove;
         }
-        
+
         /**
          * Get the columnsToAdd.
          * @return the columnsToAdd
@@ -1027,7 +1067,7 @@
         {
             return _columnsToAdd;
         }
-        
+
         /**
          * Set the columnsToAdd.
          * @param columnsToAdd the columnsToAdd to set
@@ -1036,7 +1076,7 @@
         {
             this._columnsToAdd = columnsToAdd;
         }
-        
+
     }
 
     /**
